%define oname k3b
%define libk3b_major 6
%define libk3b %mklibname k3b %libk3b_major
%define libk3bdevice_major 6
%define libk3bdevice %mklibname k3bdevice %libk3bdevice_major

%define version  2.0.3a
%define release  %mkrel 1

Name:            kde4-k3b
Version:         %{version}
Release:         %{release}
License:         GPLv2+
Url:             http://www.k3b.org/
Group:           Graphical desktop/KDE5
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:         http://jaist.dl.sourceforge.net/sourceforge/k3b/%{oname}-%{version}.tar.xz
Source2:	 	 k3b.png
Source3:	 	 PCLOS410k3b.tar.xz
Patch0:          k3b-2.0.3a-fix-build-with-cmake-3.4.patch
Summary:         CD-Burner for KDE4
Summary(de):	 CD-Brenner für KDE4 
BuildRequires:   libkcddb-devel
BuildRequires:   libflac++-devel
BuildRequires:   libflac-devel
BuildRequires:   ffmpeg-devel
BuildRequires:   mad-devel
BuildRequires:   sndfile-devel
BuildRequires:   taglib-devel
BuildRequires:   doxygen
BuildRequires:   libsamplerate-devel
BuildRequires:   polkit-qt-1-devel
BuildRequires:   %{_lib}kde4-kdelibs-devel
BuildRequires:   %{_lib}dvdread-devel
BuildRequires:   %{_lib}ogg-devel
BuildRequires:   %{_lib}vorbis0-devel
BuildRequires:   %{_lib}mpcdec-devel
BuildRequires:   %{_lib}musicbrainz-devel
Requires:        cdrecord
Requires:        mkisofs
Requires:        cdrdao
Requires:        sox
Requires:        vcdimager
Requires:        normalize
Requires:        dvd+rw-tools
Provides:        kde-k3b
Obsoletes:	k3b < %version
Obsoletes:	k3b-devel < %version
Obsoletes:	k3bmonkeyaudioplugin < %version


%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%description -l de
K3b ist ein CD-Brennprogramm das beabsichtigt viele Fähigkeiten 
unter einer einfachen Benutzeroberfläche zu vereinen. Die Merkmale 
beinhalten brennen von Audio CD's von .WAV und .MP3, Konfiguration 
von exteren Programmen und Konfigurationsgeräten.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%_kde_bindir/k3b
%_kde_bindir/k3bsetup
%_kde_libdir/kde4/kcm_k3bsetup.so
%_kde_libdir/kde4/kcm_k3boggvorbisencoder.so
%_kde_libdir/kde4/kio_videodvd.so
%_kde_libdir/kde4/k3bffmpegdecoder.so
%_kde_libdir/kde4/k3bflacdecoder.so
%_kde_libdir/kde4/k3bmaddecoder.so
%_kde_libdir/kde4/k3boggvorbisdecoder.so
%_kde_libdir/kde4/k3boggvorbisencoder.so
%_kde_libdir/kde4/k3bmpcdecoder.so
%_kde_libdir/kde4/k3blibsndfiledecoder.so
%_kde_libdir/kde4/k3baudiometainforenamerplugin.so
%_kde_libdir/kde4/k3baudioprojectcddbplugin.so
%_kde_libdir/kde4/k3bexternalencoder.so
%_kde_libdir/kde4/k3bsoxencoder.so
%_kde_libdir/kde4/k3bwavedecoder.so
%_kde_libdir/kde4/kcm_k3bexternalencoder.so
%_kde_datadir/applications/kde4/k3b.desktop
%_kde_appsdir/k3b
%_kde_appsdir/konqsidebartng/virtual_folders/services/videodvd.desktop
%_kde_appsdir/solid/actions/*
%_kde_datadir/kde4/services/ServiceMenus/*.desktop
%_kde_datadir/kde4/services/*.desktop
%_kde_datadir/kde4/servicetypes/k3bplugin.desktop
%_kde_datadir/kde4/services/videodvd.protocol
%_kde_libdir/libk3bdevice.so.%{libk3bdevice_major}*

%_kde_libdir/kde4/k3blameencoder.so
%_kde_libdir/kde4/kcm_k3blameencoder.so
%_kde_datadir/mime/packages/x-k3b.xml

%_kde_libdir/kde4/kcm_k3bsoxencoder.so

%_kde_libdir/libk3blib.so.6
%_kde_libdir/libk3blib.so.6.0.0
%{_datadir}/pixmaps/*

%_kde_libdir/kde4/libexec/k3bsetuphelper

%_kde_datadir/dbus-1/system-services/org.kde.kcontrol.k3bsetup.service
%_kde_datadir/polkit-1/actions/org.kde.kcontrol.k3bsetup.policy

/etc/dbus-1/system.d/org.kde.kcontrol.k3bsetup.conf

%_kde_datadir/locale/*/LC_MESSAGES/*.mo

%_kde_datadir/icons/hicolor/128x128/apps/k3b.png
%_kde_datadir/icons/hicolor/16x16/apps/k3b.png
%_kde_datadir/icons/hicolor/22x22/apps/k3b.png
%_kde_datadir/icons/hicolor/32x32/apps/k3b.png
%_kde_datadir/icons/hicolor/48x48/apps/k3b.png
%_kde_datadir/icons/hicolor/64x64/apps/k3b.png
%_kde_datadir/icons/hicolor/scalable/apps/k3b.svgz

%_kde_datadir/doc

#------------------------------------------------

%package devel
Group: Graphical desktop/KDE4
Summary: Development libraries from %name
Summary(de): Entwicklerdateien von %name
Provides:        kde-k3b-devel

%description devel
Development libraries from %name
#german
%description devel -l de
%{summary}.

%files devel
%defattr(-,root,root,-)
%_kde_includedir/*.h
%_kde_libdir/libk3bdevice.so
%_kde_libdir/libk3blib.so

#------------------------------------------------

%prep
%setup -q -n k3b-2.0.3
%patch0 -p1 -b .cmake3.4

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang k3b k3b k3bsetup libk3b libk3bdevice


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/k3b.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/k3b/pics
tar xf %SOURCE3 -C $RPM_BUILD_ROOT%{_datadir}/apps/k3b/pics/

%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version} 


%changelog
* Sat May 14 2016 bb <bb> 2.0.3a-1pclos2016
- do for KDE5

